本文为您介绍了安装Java SDK添加Jar包依赖的示例代码。

环境准备

适用于JDK 6及以上版本。

安装SDK

添加Jar包依赖:
<dependency>
  <groupId>com.aliyun</groupId>
  <artifactId>aliyun-java-sdk-core</artifactId>
  <version>4.6.0</version>
</dependency>
<dependency>
  <groupId>com.aliyun</groupId>
  <artifactId>aliyun-java-sdk-vod</artifactId>
  <version>2.16.5</version>
</dependency>
<dependency>
  <groupId>com.alibaba</groupId>
  <artifactId>fastjson</artifactId>
  <version>1.2.62</version>
</dependency>
<dependency>
  <groupId>com.aliyun</groupId>
  <artifactId>aliyun-java-sdk-kms</artifactId>
  <version>2.10.1</version>
</dependency>
说明
  • aliyun-java-sdk-core的版本4.4.5及以上。
  • aliyun-java-sdk-vod的版本,请参见服务端SDK发布历史,首段的Version即为最新的版本号。
  • aliyun-java-sdk-kms为密钥管理服务(KMS)的所需依赖,若不涉及则无需添加。